Skip to content

Manage GL account records.

Operations

getGlAccount

POST

Retrieves a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlAccount
POST /nexum/627/2022.01/generalledger/getGlAccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountSelectFields

POST

Retrieves a general ledger account with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlAccountSelectFields
POST /nexum/627/2022.01/generalledger/getGlAccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "SelectableFields": {
    "IncludeAllGlAccountFields": true,
    "GlAccountFields": {
      "BalNextGlMonth": true,
      "Balance": true,
      "BalanceLastYear": true,
      "BalanceNextPeriod": true,
      "BalanceSheetColumn": true,
      "BalanceYtd": true,
      "BlankLineCode": true,
      "Branch": true,
      "Budget": [
        0
      ],
      "CommentCode": true,
      "DcRestrictionLevel": true,
      "DistributionCode": true,
      "FmLastPurgeDate": true,
      "FmLevel": true,
      "FormatType": true,
      "HistoricalBalance": [
        0
      ],
      "IndentationCode": true,
      "IqLevel": true,
      "LastFmDate": true,
      "LastPurgeDate": true
    },
    "GlAccountFmHistorySelectableFields": {
      "IncludeAllGlAccountFmHistoryFields": true,
      "GlAccountFmHistoryFields": {
        "AccountNumber": true,
        "BatchSequence": true,
        "Branch": true,
        "ConfirmationSeq": true,
        "ConsoleNumber": true,
        "DataType": true,
        "FieldName": true,
        "FieldNumber": true,
        "FmType": true,
        "Id": true,
        "IdType": true,
        "LastFmDate": true,
        "NewCharacter": true,
        "NewDate": true,
        "NewMoney": true,
        "NewNumber": true,
        "NewRate": true,
        "OldCharacter": true,
        "OldDate": true,
        "OldMoney": true
      }
    },
    "GlAccountTrackingSelectableFields": {
      "IncludeAllGlAccountTrackingFields": true,
      "GlAccountTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    },
    "GlHistorySelectableFields": {
      "IncludeAllGlHistoryFields": true,
      "GlHistoryFields": {
        "Amount": true,
        "Comment": true,
        "DebitCreditCode": true,
        "EffectiveDate": true,
        "GlAccountNumber": true,
        "GlCategory": true,
        "PostDate": true,
        "ProcessorUser": true,
        "Reference": true,
        "SequenceNumber": true,
        "UserNumber": true
      }
    },
    "GlSubaccountSelectableFields": {
      "IncludeAllGlSubaccountFields": true,
      "GlSubaccountFields": {
        "AccrualAmount": true,
        "AccrualEffectDate": true,
        "AccrualPostDate": true,
        "AccrualPostThruDate": true,
        "AccrualStartDate": true,
        "AccruedAmount": true,
        "AccruedCount": true,
        "AcquisitionDate": true,
        "CommentOne": true,
        "CommentTwo": true,
        "CurrentValue": true,
        "Disposition": true,
        "FirstMonthMethod": true,
        "GlOffset": true,
        "Id": true,
        "InsMaturityDate": true,
        "InsTypeDescription": true,
        "InsuranceType": true,
        "LastFmDate": true,
        "LimitValue": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountSelectFieldsFilterChildren

POST

Retrieves a general ledger account with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlAccountSelectFieldsFilterChildren
POST /nexum/627/2022.01/generalledger/getGlAccountSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "SelectableFields": {
    "IncludeAllGlAccountFields": true,
    "GlAccountFields": {
      "BalNextGlMonth": true,
      "Balance": true,
      "BalanceLastYear": true,
      "BalanceNextPeriod": true,
      "BalanceSheetColumn": true,
      "BalanceYtd": true,
      "BlankLineCode": true,
      "Branch": true,
      "Budget": [
        0
      ],
      "CommentCode": true,
      "DcRestrictionLevel": true,
      "DistributionCode": true,
      "FmLastPurgeDate": true,
      "FmLevel": true,
      "FormatType": true,
      "HistoricalBalance": [
        0
      ],
      "IndentationCode": true,
      "IqLevel": true,
      "LastFmDate": true,
      "LastPurgeDate": true
    },
    "GlAccountFmHistorySelectableFields": {
      "IncludeAllGlAccountFmHistoryFields": true,
      "GlAccountFmHistoryFields": {
        "AccountNumber": true,
        "BatchSequence": true,
        "Branch": true,
        "ConfirmationSeq": true,
        "ConsoleNumber": true,
        "DataType": true,
        "FieldName": true,
        "FieldNumber": true,
        "FmType": true,
        "Id": true,
        "IdType": true,
        "LastFmDate": true,
        "NewCharacter": true,
        "NewDate": true,
        "NewMoney": true,
        "NewNumber": true,
        "NewRate": true,
        "OldCharacter": true,
        "OldDate": true,
        "OldMoney": true
      }
    },
    "GlAccountTrackingSelectableFields": {
      "IncludeAllGlAccountTrackingFields": true,
      "GlAccountTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    },
    "GlHistorySelectableFields": {
      "IncludeAllGlHistoryFields": true,
      "GlHistoryFields": {
        "Amount": true,
        "Comment": true,
        "DebitCreditCode": true,
        "EffectiveDate": true,
        "GlAccountNumber": true,
        "GlCategory": true,
        "PostDate": true,
        "ProcessorUser": true,
        "Reference": true,
        "SequenceNumber": true,
        "UserNumber": true
      }
    },
    "GlSubaccountSelectableFields": {
      "IncludeAllGlSubaccountFields": true,
      "GlSubaccountFields": {
        "AccrualAmount": true,
        "AccrualEffectDate": true,
        "AccrualPostDate": true,
        "AccrualPostThruDate": true,
        "AccrualStartDate": true,
        "AccruedAmount": true,
        "AccruedCount": true,
        "AcquisitionDate": true,
        "CommentOne": true,
        "CommentTwo": true,
        "CurrentValue": true,
        "Disposition": true,
        "FirstMonthMethod": true,
        "GlOffset": true,
        "Id": true,
        "InsMaturityDate": true,
        "InsTypeDescription": true,
        "InsuranceType": true,
        "LastFmDate": true,
        "LimitValue": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "GlAccountFmHistoryFilter": {
      "Query": "string"
    },
    "GlAccountTrackingFilter": {
      "Query": "string"
    },
    "GlHistoryFilter": {
      "Query": "string"
    },
    "GlSubaccountFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountFmHistoryPagedList

POST

Retrieves a paged list of general ledger accounts from history.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/getGlAccountFmHistoryPagedList
POST /nexum/627/2022.01/generalledger/getGlAccountFmHistoryPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountFmHistoryListSelectFields

POST

Retrieves a list of general ledger accounts with selected fields from history.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlAccountFmHistoryListSelectFields
POST /nexum/627/2022.01/generalledger/getGlAccountFmHistoryListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "SelectableFields": {
    "IncludeAllGlAccountFmHistoryFields": true,
    "GlAccountFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlAccountFmHistorySelectFields

POST

Searches general ledger accounts from history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/searchGlAccountFmHistorySelectFields
POST /nexum/627/2022.01/generalledger/searchGlAccountFmHistorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "SelectableFields": {
    "IncludeAllGlAccountFmHistoryFields": true,
    "GlAccountFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountFmHistoryPagedListSelectFields

POST

Retrieves a paged list of general ledger accounts with selected fields from history.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/getGlAccountFmHistoryPagedListSelectFields
POST /nexum/627/2022.01/generalledger/getGlAccountFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlAccountFmHistoryFields": true,
    "GlAccountFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlAccountFmHistoryPagedSelectFields

POST

Searches general ledger accounts from history with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/searchGlAccountFmHistoryPagedSelectFields
POST /nexum/627/2022.01/generalledger/searchGlAccountFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlAccountFmHistoryFields": true,
    "GlAccountFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountTracking

POST

Retrieves tracking for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlAccountTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlAccountTracking
POST /nexum/627/2022.01/generalledger/getGlAccountTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlAccountTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountTrackingSelectFields

POST

Retrieves tracking for a general ledger account with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlAccountTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlAccountTrackingSelectFields
POST /nexum/627/2022.01/generalledger/getGlAccountTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlAccountTrackingLocator": 0,
  "SelectableFields": {
    "IncludeAllGlAccountTrackingFields": true,
    "GlAccountTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountTrackingPagedList

POST

Retrieves a paged list of tracking for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/getGlAccountTrackingPagedList
POST /nexum/627/2022.01/generalledger/getGlAccountTrackingPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountTrackingListSelectFields

POST

Retrieves a list of tracking for a general ledger account with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlAccountTrackingListSelectFields
POST /nexum/627/2022.01/generalledger/getGlAccountTrackingListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "SelectableFields": {
    "IncludeAllGlAccountTrackingFields": true,
    "GlAccountTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlAccountTrackingSelectFields

POST

Searches tracking for general ledger accounts with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/searchGlAccountTrackingSelectFields
POST /nexum/627/2022.01/generalledger/searchGlAccountTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "SelectableFields": {
    "IncludeAllGlAccountTrackingFields": true,
    "GlAccountTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountTrackingPagedListSelectFields

POST

Retrieves a paged list of tracking for a general ledger account with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/getGlAccountTrackingPagedListSelectFields
POST /nexum/627/2022.01/generalledger/getGlAccountTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlAccountTrackingFields": true,
    "GlAccountTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlAccountTrackingPagedSelectFields

POST

Searches tracking for general ledger accounts with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/searchGlAccountTrackingPagedSelectFields
POST /nexum/627/2022.01/generalledger/searchGlAccountTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlAccountTrackingFields": true,
    "GlAccountTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getGlHistoryPagedList

POST

Retrieves a paged list of general ledger history.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/getGlHistoryPagedList
POST /nexum/627/2022.01/generalledger/getGlHistoryPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlHistoryListSelectFields

POST

Retrieves a list of general ledger history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlHistoryListSelectFields
POST /nexum/627/2022.01/generalledger/getGlHistoryListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "SelectableFields": {
    "IncludeAllGlHistoryFields": true,
    "GlHistoryFields": {
      "Amount": true,
      "Comment": true,
      "DebitCreditCode": true,
      "EffectiveDate": true,
      "GlAccountNumber": true,
      "GlCategory": true,
      "PostDate": true,
      "ProcessorUser": true,
      "Reference": true,
      "SequenceNumber": true,
      "UserNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlHistorySelectFields

POST

Searches general ledger history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/searchGlHistorySelectFields
POST /nexum/627/2022.01/generalledger/searchGlHistorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "SelectableFields": {
    "IncludeAllGlHistoryFields": true,
    "GlHistoryFields": {
      "Amount": true,
      "Comment": true,
      "DebitCreditCode": true,
      "EffectiveDate": true,
      "GlAccountNumber": true,
      "GlCategory": true,
      "PostDate": true,
      "ProcessorUser": true,
      "Reference": true,
      "SequenceNumber": true,
      "UserNumber": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlHistoryPagedListSelectFields

POST

Retrieves a paged list of general ledger history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/getGlHistoryPagedListSelectFields
POST /nexum/627/2022.01/generalledger/getGlHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlHistoryFields": true,
    "GlHistoryFields": {
      "Amount": true,
      "Comment": true,
      "DebitCreditCode": true,
      "EffectiveDate": true,
      "GlAccountNumber": true,
      "GlCategory": true,
      "PostDate": true,
      "ProcessorUser": true,
      "Reference": true,
      "SequenceNumber": true,
      "UserNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlHistoryPagedSelectFields

POST

Searches general ledger history with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/searchGlHistoryPagedSelectFields
POST /nexum/627/2022.01/generalledger/searchGlHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlHistoryFields": true,
    "GlHistoryFields": {
      "Amount": true,
      "Comment": true,
      "DebitCreditCode": true,
      "EffectiveDate": true,
      "GlAccountNumber": true,
      "GlCategory": true,
      "PostDate": true,
      "ProcessorUser": true,
      "Reference": true,
      "SequenceNumber": true,
      "UserNumber": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getGlSubaccount

POST

Retrieves a subaccount for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlSubaccountIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlSubaccount
POST /nexum/627/2022.01/generalledger/getGlSubaccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlSubaccountId": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getGlSubaccountSelectFields

POST

Retrieves a subaccount for a general ledger account with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlSubaccountIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlSubaccountSelectFields
POST /nexum/627/2022.01/generalledger/getGlSubaccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlSubaccountId": "string",
  "SelectableFields": {
    "IncludeAllGlSubaccountFields": true,
    "GlSubaccountFields": {
      "AccrualAmount": true,
      "AccrualEffectDate": true,
      "AccrualPostDate": true,
      "AccrualPostThruDate": true,
      "AccrualStartDate": true,
      "AccruedAmount": true,
      "AccruedCount": true,
      "AcquisitionDate": true,
      "CommentOne": true,
      "CommentTwo": true,
      "CurrentValue": true,
      "Disposition": true,
      "FirstMonthMethod": true,
      "GlOffset": true,
      "Id": true,
      "InsMaturityDate": true,
      "InsTypeDescription": true,
      "InsuranceType": true,
      "LastFmDate": true,
      "LimitValue": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlSubaccountPagedList

POST

Retrieves a paged list of subaccounts for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/getGlSubaccountPagedList
POST /nexum/627/2022.01/generalledger/getGlSubaccountPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlSubaccountListSelectFields

POST

Retrieves a list of subaccounts for a general ledger account with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlSubaccountListSelectFields
POST /nexum/627/2022.01/generalledger/getGlSubaccountListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "SelectableFields": {
    "IncludeAllGlSubaccountFields": true,
    "GlSubaccountFields": {
      "AccrualAmount": true,
      "AccrualEffectDate": true,
      "AccrualPostDate": true,
      "AccrualPostThruDate": true,
      "AccrualStartDate": true,
      "AccruedAmount": true,
      "AccruedCount": true,
      "AcquisitionDate": true,
      "CommentOne": true,
      "CommentTwo": true,
      "CurrentValue": true,
      "Disposition": true,
      "FirstMonthMethod": true,
      "GlOffset": true,
      "Id": true,
      "InsMaturityDate": true,
      "InsTypeDescription": true,
      "InsuranceType": true,
      "LastFmDate": true,
      "LimitValue": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlSubaccountSelectFields

POST

Searches subaccounts for general ledger accounts with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/searchGlSubaccountSelectFields
POST /nexum/627/2022.01/generalledger/searchGlSubaccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "SelectableFields": {
    "IncludeAllGlSubaccountFields": true,
    "GlSubaccountFields": {
      "AccrualAmount": true,
      "AccrualEffectDate": true,
      "AccrualPostDate": true,
      "AccrualPostThruDate": true,
      "AccrualStartDate": true,
      "AccruedAmount": true,
      "AccruedCount": true,
      "AcquisitionDate": true,
      "CommentOne": true,
      "CommentTwo": true,
      "CurrentValue": true,
      "Disposition": true,
      "FirstMonthMethod": true,
      "GlOffset": true,
      "Id": true,
      "InsMaturityDate": true,
      "InsTypeDescription": true,
      "InsuranceType": true,
      "LastFmDate": true,
      "LimitValue": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlSubaccountPagedListSelectFields

POST

Retrieves a paged list of subaccounts for a general ledger account with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/getGlSubaccountPagedListSelectFields
POST /nexum/627/2022.01/generalledger/getGlSubaccountPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "GlAccountNumber": "0000000000",
  "GlAccountSuffix": "0",
  "GlAccountBranch": "0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllGlSubaccountFields": true
  }
}

searchGlSubaccountPagedSelectFields

POST

Searches subaccounts for general ledger accounts with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/searchGlSubaccountPagedSelectFields
POST /nexum/627/2022.01/generalledger/searchGlSubaccountPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "GlAccountNumber": "0000000000",
  "GlAccountSuffix": "0",
  "GlAccountBranch": "0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllGlSubaccountFields": true
  },
  "Query": "string"
}

updateGlAccountByID

POST

Updates a general ledger account by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/updateGlAccountByID
POST /nexum/627/2022.01/generalledger/updateGlAccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlAccountUpdatableFields": {
    "BalanceLastYear": 0,
    "BalanceSheetColumn": 0,
    "BalanceYtd": 0,
    "BlankLineCode": 0,
    "Budget": [
      {
        "EntryId": 0,
        "Budget": 0
      }
    ],
    "CommentCode": 0,
    "DcRestrictionLevel": 0,
    "DistributionCode": 0,
    "FmLevel": 0,
    "FormatType": 0,
    "HistoricalBalance": [
      {
        "EntryId": 0,
        "HistoricalBalance": 0
      }
    ],
    "IndentationCode": 0,
    "IqLevel": 0,
    "Lookup": "string",
    "Name": "string",
    "OpenCode": 0,
    "PrintingCode": 0,
    "RestrictionLevel": 0,
    "SubType": 0,
    "TotalLevel": 0
  },
  "GlAccountTrackingUpdateRequest": [
    {
      "GlAccountTrackingLocator": 0,
      "GlAccountTrackingUpdatableFields": {
        "CreationDate": "string",
        "CreationTime": 0,
        "ExpireDate": "string",
        "Id": "string",
        "IdType": 0,
        "TrackingCode": 0,
        "Type": 0,
        "UserAmount1": 0,
        "UserAmount10": 0,
        "UserAmount11": 0,
        "UserAmount12": 0,
        "UserAmount13": 0,
        "UserAmount14": 0,
        "UserAmount15": 0,
        "UserAmount16": 0,
        "UserAmount17": 0,
        "UserAmount18": 0,
        "UserAmount19": 0,
        "UserAmount2": 0,
        "UserAmount20": 0
      }
    }
  ],
  "GlSubaccountUpdateRequest": [
    {
      "GlSubaccountId": "string",
      "GlSubaccountUpdatableFields": {
        "AccrualAmount": 0,
        "AccrualPostThruDate": "string",
        "AccrualStartDate": "string",
        "AccruedAmount": 0,
        "AccruedCount": 0,
        "AcquisitionDate": "string",
        "CommentOne": "string",
        "CommentTwo": "string",
        "CurrentValue": 0,
        "Disposition": 0,
        "FirstMonthMethod": 0,
        "GlOffset": "string",
        "InsMaturityDate": "string",
        "InsTypeDescription": "string",
        "InsuranceType": "string",
        "LimitValue": 0,
        "MaturityDate": "string",
        "Method": 0,
        "Name": "string",
        "OriginalValue": 0
      }
    }
  ],
  "nxAttributes": {
    "customFields": {}
  }
}

updateGlAccountTrackingByID

POST

Updates tracking for a general ledger account by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountTrackingLocatorintegeroptional
GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/updateGlAccountTrackingByID
POST /nexum/627/2022.01/generalledger/updateGlAccountTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountTrackingLocator": 0,
  "GlAccountTrackingUpdatableFields": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "Id": "string",
    "IdType": 0,
    "TrackingCode": 0,
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0,
    "UserAmount18": 0,
    "UserAmount19": 0,
    "UserAmount2": 0,
    "UserAmount20": 0
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateGlSubaccountByID

POST

Updates a subaccount for a general ledger account by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlSubaccountIdstringoptional
GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/updateGlSubaccountByID
POST /nexum/627/2022.01/generalledger/updateGlSubaccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlSubaccountId": "string",
  "GlSubaccountUpdatableFields": {
    "AccrualAmount": 0,
    "AccrualPostThruDate": "string",
    "AccrualStartDate": "string",
    "AccruedAmount": 0,
    "AccruedCount": 0,
    "AcquisitionDate": "string",
    "CommentOne": "string",
    "CommentTwo": "string",
    "CurrentValue": 0,
    "Disposition": 0,
    "FirstMonthMethod": 0,
    "GlOffset": "string",
    "InsMaturityDate": "string",
    "InsTypeDescription": "string",
    "InsuranceType": "string",
    "LimitValue": 0,
    "MaturityDate": "string",
    "Method": 0,
    "Name": "string",
    "OriginalValue": 0
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

createGlAccount

POST

Creates a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/createGlAccount
POST /nexum/627/2022.01/generalledger/createGlAccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountCreatableFields": {
    "BalanceLastYear": 0,
    "BalanceSheetColumn": 0,
    "BalanceYtd": 0,
    "BlankLineCode": 0,
    "Budget": [
      {
        "EntryId": 0,
        "Budget": 0
      }
    ],
    "CommentCode": 0,
    "DcRestrictionLevel": 0,
    "DistributionCode": 0,
    "FmLevel": 0,
    "FormatType": 0,
    "HistoricalBalance": [
      {
        "EntryId": 0,
        "HistoricalBalance": 0
      }
    ],
    "IndentationCode": 0,
    "IqLevel": 0,
    "Lookup": "string",
    "Name": "string",
    "OpenCode": 0,
    "PrintingCode": 0,
    "RestrictionLevel": 0,
    "SubType": 0,
    "TotalLevel": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}

createGlAccountTracking

POST

Creates tracking for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
GlAccountTrackingLocatorintegeroptional
POST/nexum/{sym}/2022.01/generalledger/createGlAccountTracking
POST /nexum/627/2022.01/generalledger/createGlAccountTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountTrackingCreatableFields": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "Id": "string",
    "IdType": 0,
    "TrackingCode": 0,
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0,
    "UserAmount18": 0,
    "UserAmount19": 0,
    "UserAmount2": 0,
    "UserAmount20": 0
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

createGlSubaccount

POST

Creates a subaccount for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
GlSubaccountIdstringoptional
POST/nexum/{sym}/2022.01/generalledger/createGlSubaccount
POST /nexum/627/2022.01/generalledger/createGlSubaccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "0000000000",
  "GlAccountSuffix": "0",
  "GlAccountBranch": "0",
  "GlSubaccountCreatableFields": {
    "Id": "0",
    "Name": "string",
    "Type": 0,
    "GlOffset": "0"
  }
}

deleteGlAccountTracking

POST

Deletes tracking for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlAccountTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/generalledger/deleteGlAccountTracking
POST /nexum/627/2022.01/generalledger/deleteGlAccountTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlAccountTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

deleteGlSubaccount

POST

Deletes a subaccount for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlSubaccountIdstringoptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/generalledger/deleteGlSubaccount
POST /nexum/627/2022.01/generalledger/deleteGlSubaccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "0000000000",
  "GlAccountSuffix": "0",
  "GlAccountBranch": "0",
  "GlSubaccountId": "0"
}